<template>
  <div>
    <div class="titulo">
      <div class="ruta">
        <v-breadcrumbs :items="breadcrumbs" :large="false">
          <template v-slot:divider>
            <v-icon>mdi-chevron-right</v-icon>
          </template>
        </v-breadcrumbs>
      </div>
      <strong>Puntos de Contacto Home</strong>
    </div>
    <div class="cotm">
      <div class="tmod">
        <strong>Selecciona un elemento para trabajar...!</strong>
      </div>
    </div>
    <!-- Contenido -->
    <div class="contSecc">
      <v-row justify="center">
        <v-col
          v-for="(card, indexCard) in cards"
          :key="card.title"
          :xs="12"
          :sm="12"
          :md="6"
          :lg="3"
          :offset-lg="indexCard === 0 ? 0 : 0"
        >
          <v-card :to="card.to" :color="card.color" class="generalCard pa-4">
            <v-avatar class="ma-3" size="200" tile>
              <v-img
                :contain="true"
                :aspect-ratio="1"
                position="center"
                :src="card.src"
                :lazy-src="card.src"
                class="white--text align-end"
                height="150"
              >
                <template v-slot:placeholder>
                  <v-row
                    class="fill-height ma-0"
                    align="center"
                    justify="center"
                  >
                    <v-progress-circular
                      indeterminate
                      color="grey lighten-5"
                    ></v-progress-circular>
                  </v-row>
                </template>
              </v-img>
            </v-avatar>
            <v-card-title
              class="cardTitle justify-center white--text"
              v-text="card.title"
            ></v-card-title>
            <v-card-subtitle
              class="white--text"
              v-text="card.description"
            ></v-card-subtitle>
          </v-card>
        </v-col>
      </v-row>
    </div>
    <!-- Fin conSecc -->
  </div>
</template>
<style scoped>
.generalCard .cardTitle {
  border-top: 2px solid #ffcd00;
}
</style>
<script>
export default {
  name: "Component-HomePuntosContacto",
  data() {
    return {
      cards: [
        {
          title: "Gestionar Puntos de Contacto",
          src: require("@/assets/img/gestionarFranquicia.svg"),
          description: "",
          to: {
            name: "modelo_franquicia_puntos_contacto"
          },
          color: "#808080"
        }/*,
        {
          title: "Información en Gráficas",
          src: require("@/assets/img/sistema-info.svg"),
          description: "",
          to: {
            name: "modelo_franquicia_puntos_contacto_informacion"
          },
          color: "#494949"
        }*/
      ],
      breadcrumbs: [
        {
          text: "Plataforma de Franquicia",
          disabled: false,
          exact: true,
          to: {
            name: "home"
          }
        },
        {
          text: "Modelo de Franquicia",
          disabled: false,
          exact: true,
          to: {
            name: "modelo_franquicia"
          }
        },
        {
          text: "Puntos de Contacto Home",
          disabled: true
        }
      ]
    };
  }
};
</script>
